Package eu.mhsl.minenet.minigames.world.generator.terrain

# Class SquareTerrainGenerator

java.lang.Object
eu.mhsl.minenet.minigames.world.generator.terrain.SquareTerrainGenerator

All Implemented Interfaces:
  `net.minestom.server.instance.generator.Generator`

public class SquareTerrainGenerator extends Object implements net.minestom.server.instance.generator.Generator

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final net.minestom.server.coordinate.Pos`
  `mapStart`
  `protected final Random`
  `rnd`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SquareTerrainGenerator(int width, int length, boolean generatePlate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generate(@NotNull net.minestom.server.instance.generator.GenerationUnit unit)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface net.minestom.server.instance.generator.Generator

  `generateAll`

- ## Field Details

  - ### rnd

    protected final Random rnd

  - ### mapStart

    protected final net.minestom.server.coordinate.Pos mapStart

- ## Constructor Details

  - ### SquareTerrainGenerator

    public SquareTerrainGenerator(int width, int length, boolean generatePlate)

- ## Method Details

  - ### generate

    public void generate(@NotNull @NotNull net.minestom.server.instance.generator.GenerationUnit unit)
    Specified by:
      `generate` in interface `net.minestom.server.instance.generator.Generator`